/**
 * @Copyright Copyright 2014, LangLee
 * @Descript: 全局公共文件
 * @Author	: cn.LangLee@hotmail.com
 * @Depend	: jquery-1.10.2.js(1.10.2 or later)
 * jQueryId: if.common.js  2014-11-12 05:28:06Z LangLee jQuery
 */


jQuery(function(){

	// 幻灯片
	jQuery('#main').hover(function(){
		jQuery('.helper .mask-left, .helper .mask-right').addClass('show');
	}, function(){
		jQuery('.helper .mask-left, .helper .mask-right').removeClass('show');
	});



	
	
	/**
	 * 列表通用样式
	 */

	jQuery('#works-list li').hover(function(){
		//鼠标移入
		jQuery(this).find('.l-user-name').css({'color' : '#3498db'});
		jQuery(this).find('.comment-box').animate({
			'bottom'	:	0
		},150);
		jQuery(this).find('.l-work-d img').animate({
			'bottom'	:	90
		},150);
	}, function(){
		//鼠标移出
		jQuery(this).find('.l-user-name').css({'color' : '#262626'});
		jQuery(this).find('.comment-box').animate({
			'bottom'	:	-90
		},150);
		jQuery(this).find('.l-work-d img').animate({
			'bottom'	:	0
		},150);
	});
	

	

//	jQuery('#ct-private li').hover(function(){
//		jQuery(this).find('.ct-bottom a').show();
//	}, function(){
//		jQuery(this).find('.ct-bottom a').hide();
//	});

	// 动态下拉鼠标进过
	jQuery('.u-box-2 li').hover(function(){
		jQuery(this).addClass('udc');
	}, function(){
		jQuery(this).removeClass('udc');
	});

	/**
	 * 评论鼠标经过
	 */
	jQuery(document).on('mouseenter', '#ct-private li', function(event){
		jQuery(this).find('.ct-bottom a').show();
		event.stopPropagation();
	});
	jQuery(document).on('mouseleave', '#ct-private li', function(event){
		jQuery(this).find('.ct-bottom a').hide();
		event.stopPropagation();
	});

//	


	// 翻页展开
	jQuery('.page-list').hover(function(){
		jQuery('.page-list').addClass('on-list');
	},function(){
		jQuery('.page-list').removeClass('on-list');
	});


});


